/v1.1/chargestations/{id}/configurations

Update a chargestation configuration. Supports both OCPP 1.6 (key/value) and OCPP 2.0.1 (setVariableData).

Path Params
string
required

The charge station id whose configuration/variables need to be updated

Body Params

For OCPP 1.6: {key, value}. For OCPP 2.0.1: {setVariableData: [{component, variable, attributeValue}]} or a direct array.

string

OCPP 1.6: Configuration key name

string

OCPP 1.6: Configuration value (MeterValueSampleInterval must be >= 30)

setVariableData
array of objects

OCPP 2.0.1: Array of variable updates. Each item requires component, variable, and attributeValue.

setVariableData
meta_data
object

Any custom data, the developer wants to attach.

Responses

400

Bad request - invalid input format

404

Chargestation not found

406

Chargestation is offline

422

Validation error

Language
Credentials
OAuth2
Authenticate
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json